SDL_GetRendererInfo(3)

NAME
SDL_GetRendererInfo - Get information about a rendering context.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetRendererInfo(SDL_Renderer *renderer, SDL_RendererInfo *info);

FUNCTION PARAMETERS

renderer
    the rendering context

info
    an SDL_RendererInfo
     structure filled with information about the current renderer

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_CreateRenderer(3), SDL_CreateRendererWithProperties(3)